#ifndef _GLOBALS_H
#define _GLOBALS_H

#include <stdio.h>
#include <glib.h>
#include <glib/gi18n.h>
#include <gtk/gtk.h>
#include <gconf/gconf-client.h>
#include <unique/unique.h>
#include <libappindicator/app-indicator.h>
#include <libnotify/notify.h>

extern GRand *			self_random;

extern UniqueApp *		self_unique_app;
extern gboolean			self_has_notify;
extern NotifyNotification *	self_notification;
extern GConfClient *		self_gconf_client;

extern AppIndicator *		self_appindicator;
extern GtkWidget *		self_menu;
extern GtkWidget *		self_menu_caps;
extern GtkWidget *		self_menu_caps_image;
extern GtkWidget *		self_menu_num;
extern GtkWidget *		self_menu_num_image;
extern GtkWidget *		self_menu_scroll;
extern GtkWidget *		self_menu_scroll_image;
extern GtkWidget *		self_menu_separator;
extern GtkWidget *		self_menu_preferences;
extern GtkWidget *		self_menu_quit;

extern GtkWidget *		self_pref_dialog;
extern GtkWidget *		self_use_indicator_check;
/* extern GtkWidget *		self_single_icon_check; */
extern GtkWidget *		self_caps_lock_radio;
extern GtkWidget *		self_num_lock_radio;
extern GtkWidget *		self_scroll_lock_radio;
extern GtkWidget *		self_show_inactive_check;
/* extern GtkWidget *		self_show_quit_check;
   extern GtkWidget *		self_notifications_check; */

extern gboolean			old_on[3];

extern gboolean			self_use_indicator;
extern gboolean			self_single_icon;
extern gint			self_key_shown;
extern gboolean			self_show_inactive;
extern gboolean			self_show_quit;
extern gboolean			self_notifications;

static const gchar *		conf_use_indicator	= "/apps/indicator-keylock/use_indicator";
static const gchar *		conf_single_icon	= "/apps/indicator-keylock/single_icon";
static const gchar *		conf_key_shown		= "/apps/indicator-keylock/key_shown";
static const gchar *		conf_show_inactive	= "/apps/indicator-keylock/show_inactive";
static const gchar *		conf_show_quit		= "/apps/indicator-keylock/show_quit";
static const gchar *		conf_notifications	= "/apps/indicator-keylock/notifications";

#endif /* _GLOBALS_H */
